Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.io.filefilter
Class FileFileFilter

    java.lang.Object
      org.apache.commons.io.filefilter.AbstractFileFilter
          org.apache.commons.io.filefilter.FileFileFilter

All Implemented Interfaces:
  FileFilter, FilenameFilter, Serializable, IOFileFilter

    public class FileFileFilter

extends AbstractFileFilter
implements Serializable

This filter accepts `File`s that are files (not directories).

For example, here is how to print out a list of the real files within the current directory:

     File dir = new File(".");
     String[] files = dir.list( FileFileFilter.FILE );
     for ( int i = 0; i < files.length; i++ ) {
         System.out.println(files[i]);
     }

Since:
  Commons IO 1.3
Version:
  $Revision: 155419 $ $Date: 2007-10-24 16:53:07 +0100 (Wed, 24 Oct 2007) $
See Also:
  Serialized Form

Field Summary
`static IOFileFilter` | `FILE` Singleton instance of file filter

Constructor Summary
`protected` | `FileFileFilter()` Restrictive consructor.

Method Summary
`boolean` | `accept(File file)` Checks to see if the file is a file.

Methods inherited from class org.apache.commons.io.filefilter.AbstractFileFilter
`accept, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FILE

    public static final IOFileFilter FILE

  Singleton instance of file filter

Constructor Detail

### FileFileFilter

    protected FileFileFilter()

  Restrictive consructor.

Method Detail

### accept

    public boolean accept(File file)

  Checks to see if the file is a file.

  Specified by:
    `accept` in interface `FileFilter`
  Specified by:
    `accept` in interface `IOFileFilter`
  Overrides:
    `accept` in class `AbstractFileFilter`
  Parameters:
    `file` - the File to check
  Returns:
    true if the file is a file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Apache Software Foundation. All Rights Reserved.